

#ifndef _CONFIG_H_
#define _CONFIG_H_

#include <stdio.h>
#include <stdbool.h>


#define DXMENU_CONFIG_NAME                  "dxmenu-xdg-config"

#define DXMENU_CONFIG_PATH                  "config_path"
#define DXMENU_CONFIG_APPLICATION_LAUNCHER  "application_launcher"
#define DXMENU_CONFIG_TERMINAL_EMULATOR     "terminal_emulator"
#define DXMENU_CONFIG_FILE_MANAGER          "file_manager"
#define DXMENU_CONFIG_WEB_BROWSER           "web_browser"
#define DXMENU_CONFIG_MAIL_CLIENT           "mail_client"
#define DXMENU_CONFIG_LOGOUT_DIALOG         "logout_dialog"

/* configuration structure */
struct dxmenu_config {

    char** params;
   
    // config file path (used by opts)
    char* config_path;
    
	char *application_launcher;
	char *terminal_emulator;
	char *file_manager;
	char *web_browser;
	char *mail_client;
	char *logout_dialog;          
};

int dxmenu_config_init(struct dxmenu_config* conf);
int dxmenu_config_load(char const* path, struct dxmenu_config* conf);
int dxmenu_config_load_file(FILE* file, struct dxmenu_config* conf);
int dxmenu_config_free(struct dxmenu_config* conf);
int dxmenu_config_fullpaths(struct dxmenu_config* config);

#endif
